Last Comment Bug 739631 - Filelink account management pane in preferences dialog needs styling polish for Windows XP
: Filelink account management pane in preferences dialog needs styling polish f...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Mike Conley (:mconley) - (Away until June 29th)
:
Mentors:
Depends on: 739279
Blocks: BigFiles
  Show dependency treegraph
 
Reported: 2012-03-27 08:45 PDT by Mike Conley (:mconley) - (Away until June 29th)
Modified: 2012-04-17 09:12 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Screenshot of problem (34.97 KB, image/png)
2012-03-27 08:45 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details
The fix (2.10 KB, patch)
2012-04-02 11:43 PDT, Mike Conley (:mconley) - (Away until June 29th)
bugs: review-
bwinton: ui‑review+
Details | Diff | Review
The fix in action on Win XP (31.46 KB, image/png)
2012-04-02 12:36 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details
The fix in action on Win 7 (71.88 KB, image/png)
2012-04-02 12:37 PDT, Mike Conley (:mconley) - (Away until June 29th)
no flags Details
the fix (v2) - ui-r+ from bwinton. (1.88 KB, patch)
2012-04-16 07:51 PDT, Andreas Nilsson (:andreasn)
mconley: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Review

Description Mike Conley (:mconley) - (Away until June 29th) 2012-03-27 08:45:25 PDT
Created attachment 609733 [details]
Screenshot of problem

On Windows XP, the Filelink account management pane looks a bit funny.  In particular:

1)  It looks like the Add / Remove buttons are being cut off at the bottom
2)  The Dropbox / YouSendIt panels have scrollbars

See screenshot.
Comment 1 Mike Conley (:mconley) - (Away until June 29th) 2012-04-02 08:39:15 PDT
Andreas:

For problem (1) (Add / Remove buttons being cut off at the bottom), it looks like the cloudFileAuthErrorPanel is oversized, causing the tabpanels to be too large for the preferences dialog.

Upon further investigation, it looks like the "key" graphic in that dialog might be a bit too large for Windows XP.  Can we use a smaller version for XP?

-Mike
Comment 2 Mike Conley (:mconley) - (Away until June 29th) 2012-04-02 11:43:23 PDT
Created attachment 611536 [details] [diff] [review]
The fix

Screenshots coming next.
Comment 3 Mike Conley (:mconley) - (Away until June 29th) 2012-04-02 12:36:33 PDT
Created attachment 611553 [details]
The fix in action on Win XP
Comment 4 Mike Conley (:mconley) - (Away until June 29th) 2012-04-02 12:37:05 PDT
Created attachment 611554 [details]
The fix in action on Win 7
Comment 5 Mike Conley (:mconley) - (Away until June 29th) 2012-04-11 09:33:25 PDT
Andreas:

Sorry, I forgot to mark it down - this patch relies on the patch in bug 739279 to be applied.

-Mike
Comment 6 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-04-11 13:34:38 PDT
Comment on attachment 611536 [details] [diff] [review]
The fix

Yep, looks better.  :)

Thanks,
Blake.
Comment 7 Andreas Nilsson (:andreasn) 2012-04-16 07:05:13 PDT
Comment on attachment 611536 [details] [diff] [review]
The fix

I got some scrollbars when trying to use the classic theme on Windows 7.
Therefore I think we need to insert a media selector in preferences-aero.css specifically for Windows7 default theme. It should look something like this:

@media all and (-moz-windows-default-theme) {
  #provider-management {
  here-goes-some-stuff-relevant-only-for-aero-basic-and-glass
  }
}

and then below that the patches current #provider-management class. The current #provider-management in preferences.css should be good as they are, as it's values will be overwritten by the ones in preferences-aero.css only under Windows Vista and 7.
Comment 8 Andreas Nilsson (:andreasn) 2012-04-16 07:07:21 PDT
(In reply to Andreas Nilsson (:andreasn) from comment #7)

> and then below that the patches current #provider-management class.
Meant id here of course.
Comment 9 Andreas Nilsson (:andreasn) 2012-04-16 07:51:53 PDT
Created attachment 615332 [details] [diff] [review]
the fix (v2) - ui-r+ from bwinton.

This should take care of the classic-under-win7-issue
Comment 10 Mike Conley (:mconley) - (Away until June 29th) 2012-04-16 08:16:43 PDT
Comment on attachment 615332 [details] [diff] [review]
the fix (v2) - ui-r+ from bwinton.

Andreas:

Works perfectly!  Assigning myself for code review...

-Mike
Comment 11 Mike Conley (:mconley) - (Away until June 29th) 2012-04-16 08:18:04 PDT
Comment on attachment 615332 [details] [diff] [review]
the fix (v2) - ui-r+ from bwinton.

Review of attachment 615332 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me.  Thanks Andreas!
Comment 12 Mike Conley (:mconley) - (Away until June 29th) 2012-04-17 09:07:21 PDT
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/8f88b8cb546d
Comment 13 Mike Conley (:mconley) - (Away until June 29th) 2012-04-17 09:12:51 PDT
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/2698b91bc7f4

Note You need to log in before you can comment on or make changes to this bug.